Package ru.bitel.bgbilling.kernel.bgsecure.server.bean

# Class BGSQueryLogEntry

java.lang.Object
ru.bitel.bgbilling.kernel.bgsecure.server.bean.BGSQueryLogEntry

All Implemented Interfaces:
  `ContractIdable`

public class BGSQueryLogEntry extends Object implements ContractIdable
Запрос к Executer'у

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGSQueryLogEntry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActionId()`
  Возвращает код действия
  `String`
  `getActionTitle()`
  Возвращает имя действия
  `int`
  `getContractId()`
  Возвращает код договора
  `String`
  `getContractTitle()`
  Возвращает номер договора
  `Date`
  `getDate()`
  Возвращает дату лога
  `String`
  `getModuleId()`
  Возвращает код модуля
  `String`
  `getModuleName()`
  Возвращает имя модуля
  `String`
  `getQueryString()`
  Возвращает строку запроса
  `String`
  `getRemoteAddr()`
  Возвращает адрес, с которого выполнен запрос
  `int`
  `getUserId()`
  Возвращает код пользователя
  `String`
  `getUserName()`
  Возвращает имя пользователя
  `BGSQueryLogEntry`
  `setActionId(String actionId)`
  Устанавливает код действия
  `BGSQueryLogEntry`
  `setActionTitle(String actionTitle)`
  Устанавливает имя действия
  `BGSQueryLogEntry`
  `setContractId(int contractId)`
  Устанавливает код договора
  `BGSQueryLogEntry`
  `setContractTitle(String contractTitle)`
  Устанавливает номер договора
  `BGSQueryLogEntry`
  `setDate(Date date)`
  Устанавливает дату лога
  `BGSQueryLogEntry`
  `setModuleId(String moduleId)`
  Устанавливает код модуля
  `BGSQueryLogEntry`
  `setModuleName(String moduleName)`
  Устанавливает имя модуля
  `BGSQueryLogEntry`
  `setQueryString(String queryString)`
  Устанавливает строку запроса
  `BGSQueryLogEntry`
  `setRemoteAddr(String remoteAddr)`
  Устанавливает адрес, с которого выполнен запрос
  `BGSQueryLogEntry`
  `setUserId(int userId)`
  Устанавливает код пользователя
  `BGSQueryLogEntry`
  `setUserName(String userName)`
  Устанавливает имя пользователя

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BGSQueryLogEntry

    public BGSQueryLogEntry()

- ## Method Details

  - ### getActionId

    public String getActionId()
    Возвращает код действия
    Returns:

  - ### getActionTitle

    public String getActionTitle()
    Возвращает имя действия
    Returns:

  - ### getContractId

    public int getContractId()
    Возвращает код договора
    Specified by:
      `getContractId` in interface `ContractIdable`
    Returns:

  - ### getContractTitle

    public String getContractTitle()
    Возвращает номер договора
    Returns:

  - ### getDate

    public Date getDate()
    Возвращает дату лога
    Returns:

  - ### getModuleId

    public String getModuleId()
    Возвращает код модуля
    Returns:

  - ### getModuleName

    public String getModuleName()
    Возвращает имя модуля
    Returns:

  - ### getQueryString

    public String getQueryString()
    Возвращает строку запроса
    Returns:

  - ### getRemoteAddr

    public String getRemoteAddr()
    Возвращает адрес, с которого выполнен запрос
    Returns:

  - ### getUserId

    public int getUserId()
    Возвращает код пользователя
    Returns:

  - ### getUserName

    public String getUserName()
    Возвращает имя пользователя
    Returns:

  - ### setActionId

    public BGSQueryLogEntry setActionId(String actionId)
    Устанавливает код действия
    Parameters:
      `actionId` -

  - ### setActionTitle

    public BGSQueryLogEntry setActionTitle(String actionTitle)
    Устанавливает имя действия
    Parameters:
      `actionTitle` -

  - ### setContractId

    public BGSQueryLogEntry setContractId(int contractId)
    Устанавливает код договора
    Parameters:
      `contractId` -

  - ### setContractTitle

    public BGSQueryLogEntry setContractTitle(String contractTitle)
    Устанавливает номер договора
    Parameters:
      `contractTitle` -

  - ### setDate

    public BGSQueryLogEntry setDate(Date date)
    Устанавливает дату лога
    Parameters:
      `date` -

  - ### setModuleId

    public BGSQueryLogEntry setModuleId(String moduleId)
    Устанавливает код модуля
    Parameters:
      `moduleId` -

  - ### setModuleName

    public BGSQueryLogEntry setModuleName(String moduleName)
    Устанавливает имя модуля
    Parameters:
      `moduleName` -

  - ### setQueryString

    public BGSQueryLogEntry setQueryString(String queryString)
    Устанавливает строку запроса
    Parameters:
      `queryString` -

  - ### setRemoteAddr

    public BGSQueryLogEntry setRemoteAddr(String remoteAddr)
    Устанавливает адрес, с которого выполнен запрос
    Parameters:
      `remoteAddr` -

  - ### setUserId

    public BGSQueryLogEntry setUserId(int userId)
    Устанавливает код пользователя
    Parameters:
      `userId` -

  - ### setUserName

    public BGSQueryLogEntry setUserName(String userName)
    Устанавливает имя пользователя
    Parameters:
      `userName` -